<?php

	extract ( $this -> _data );
	$ergebnis	= $heimtoreEnd . ' : ' . $gasttoreEnd;
	$halbzeit	= $heimtoreHalb . ' : ' . $gasttoreHalb;
	
	switch ( $spieltyp )
		{
			case 'gespielt'		:
				$subline		= ( $heimspiel === 'Y' )
								? str_replace ( array( '%ergebnis%' , '%gegner%' , '%heim%' , '%halbzeit%' ) , array( $ergebnis , $gegner , $teamname , $halbzeit ) , $this -> _lang[ 'sport' ][ 'heim' ] )
								: str_replace ( array( '%ergebnis%' , '%gegner%' , '%heim%' , '%halbzeit%' ) , array( $ergebnis , $gegner , $teamname , $halbzeit ) , $this -> _lang[ 'sport' ][ 'auswaerts' ] );
				break;
			case 'pokal'		:
				$subline		= ( $heimspiel === 'Y' )
								? str_replace ( array( '%ergebnis%' , '%gegner%' , '%heim%' ) , array( $ergebnis , $gegner , $teamname ) , $this -> _lang[ 'sport' ][ 'heim' ] )
								: str_replace ( array( '%ergebnis%' , '%gegner%' , '%heim%' ) , array( $ergebnis , $gegner , $teamname ) , $this -> _lang[ 'sport' ][ 'auswaerts' ] );
				break;
			case 'abgesagt'		:
				$subline		= $this -> _lang[ 'sport' ][ 'abgesagt' ];
				$verschoben		= DateTime::createFromFormat ( 'Y-m-d' , $verschoben ) -> format ( 'd.m.Y' );
				$text			= str_replace( '%datum%' , $verschoben , $this -> _lang[ 'sport' ][ 'abgesagt_text' ] );
				break;
			case 'spielfrei'	:
				$subline		= $this -> _lang[ 'sport' ][ 'spielfrei' ];
				break;
		}
	
?>
<div class="grid_40col wrapper">
	<div class="grid_40col">
		<div class="grid_34col">
			<h2><?php echo $headline; ?></h2>
		</div>
		<div class="grid_6col datum right">
			<?php echo DateTime::createFromFormat ( 'Y-m-d' , $datum ) -> format ( 'd.m.Y' ); ?>
		</div>
		<br class="fix"/>
		<h1><?php echo $subline; ?></h1>
		<div class="grid_40col spacer"></div>
		<div class="grid_40col text"><?php
		
		$text = strip_tags( $text );
		
		echo	( strlen ( $text ) > 168 && strpos ( $text , ' ' , 168 ) !== false )
				? substr ( $text , 0 , strpos ( $text , ' ' , 168 ) ) . ' ...'
				: $text;

		?></div>
	</div>
</div>
